Package org.apache.tomcat.util.net

## Interface WriteBuffer.Sink

Enclosing class:
  WriteBuffer

    public static interface WriteBuffer.Sink

Interface implemented by clients of the WriteBuffer to enable data to be written back out from the buffer.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `writeFromBuffer​(java.nio.ByteBuffer buffer, boolean block)`

### Method Detail

#### writeFromBuffer

    boolean writeFromBuffer​(java.nio.ByteBuffer buffer,
                            boolean block)
                     throws java.io.IOException

Throws:
  `java.io.IOException`